Перейти к содержанию

Поиск сообщества

Показаны результаты для тегов 'командная строка'.

  • Поиск по тегам

    Введите теги через запятую.
  • Поиск по автору

Тип контента


Форумы

  • Общие форумы
    • Принципы распространения продуктов Нанософт
    • Общие вопросы
    • Скачать полезное
    • Обсуждение любых САПР
  • Тематические форумы
    • nanoCAD как платформа
    • nanoCAD СПДС
    • nanoCAD Электро
    • nanoCAD ОПС
    • nanoCAD СПДС Железобетон
    • nanoCAD СПДС Металлоконструкции
    • nanoCAD СПДС Стройплощадка
    • nanoCAD СКС
    • nanoCAD Механика
    • nanoCAD Геоника
    • nanoCAD ВК
    • nanoCAD Отопление
    • nanoCAD Конструкторский BIM
    • nanoCAD Конструкции (модуль КЖ)
    • nanoTDMS
    • nanoCAD Схемы
    • nanoCAD ЛЭП
    • NormaCS
    • Функциональные расширения nanoCAD
    • Портал Технической поддержки
  • Программы членов Клуба разработчиков
    • KDM-INFO
    • Проектное бюро "Фордевинд"
    • VetCAD++
  • Не о программах
    • Юмор
    • Вопросы и пожелания по работе форума
    • Вопросы и пожелания по работе сайта
    • Новостная лента сайта nanoCAD.ru

Блоги

  • Фишки и трюки nanoCAD
  • Делюсь опытом работы с Cad программами
  • Полезные ссылки и закладки
  • Видео-ответы на вопросы пользователей
  • Утилиты nanoCAD или как упростить работу в программе

Поиск результатов в...

Поиск контента, содержащего...


Дата создания

  • Начало

    Конец


Дата обновления

  • Начало

    Конец


Фильтр по количеству...

Регистрация

  • Начало

    Конец


Группа


Сайт


ICQ


Skype


Город


Интересы

Найдено: 2 результата

  1. Как задать атрибуты блока при помощи командной строки? В autocad по-моему есть такая функция. Все перекопал, так и не нашел, можно вводить от руки во всплывающем окне, но это нас не устраивает.
  2. Учусь по замечательной статье Дмитрия Руденко habr.com/ru/post/238867 про Nanocad и VBA работать с Нанокадом. Столкнулся с такой проблемой. Отлично работает имитация ввода простых команд в командную строку, например ThisDrawing.SendCommand «CIRCLE» & vbCr & «100,100,0» & vbCr & «1000» & vbCr Но как работать с командами, после которых открываются модальные окна? Конкретно, мне нужно выполнить команду «pdfimport». Но после этой команды открывается окно открытия файла (а после него — окно выбора параметров импорта), то есть вариант типа ThisDrawing.SendCommand «pdfimport» & vbCr & file_name & vbCr &… не работает. Возможно, можно как-то выполнить эту процедуру и без командной строки, но такого я тоже не знаю. Общая задача - импортировать чертежи из множества pdf-файлов. Поэтому этот алгоритм должен выполнятся сам, автоматически, без открытия каких-либо окон.
×
×
  • Создать...